
package net.mcreator.blooddimension.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.blooddimension.BlooddimensionModElements;

@BlooddimensionModElements.ModElement.Tag
public class BloodRodItem extends BlooddimensionModElements.ModElement {
	@ObjectHolder("blooddimension:blood_rod")
	public static final Item block = null;
	public BloodRodItem(BlooddimensionModElements instance) {
		super(instance, 13);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 2500;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 8f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(HardenedBloodItem.block, (int) (1)), new ItemStack(BlooditemItem.block, (int) (1)));
			}
		}, 3, -3.9f, new Item.Properties().group(ItemGroup.COMBAT)) {
		}.setRegistryName("blood_rod"));
	}
}
